import type { PluginOptions } from './types';
/**
 * 路由生成器类
 */
export declare class RouteGenerator {
    private options;
    constructor(options: PluginOptions);
    /**
     * 生成路由配置
     */
    generate(): Promise<void>;
    /**
     * 扫描文件
     * @returns 匹配的文件路径数组
     */
    private scanFiles;
    /**
     * 生成导入声明
     * @param files 文件路径数组
     * @returns 导入声明数组
     */
    private generateImports;
    /**
     * 生成路由配置
     * @param files 文件路径数组
     * @returns 路由节点数组
     */
    private generateRoutes;
    /**
     * 写入路由文件
     * @param routes 路由配置
     * @param imports 导入声明
     */
    private writeRouteFile;
    /**
     * 获取组件名称
     * @param file 文件路径
     * @returns 组件名称
     */
    private getComponentName;
    /**
     * 获取导入路径
     * @param file 文件路径
     * @returns 导入路径
     */
    private getImportPath;
    /**
     * 获取路由路径
     * @param dir 目录名
     * @returns 路由路径
     */
    private getRoutePath;
    /**
     * 获取子路由路径
     * @param file 文件路径
     * @returns 子路由路径
     */
    private getSubRoutePath;
    /**
     * 获取路由基础名称
     * @param dir 目录名
     * @returns 路由基础名称
     */
    private getRouteBaseName;
    /**
     * 获取路由名称
     * @param dir 目录名
     * @param file 文件路径
     * @returns 路由名称
     */
    private getRouteName;
    /**
     * 按目录分组文件
     * @param files 文件路径数组
     * @returns 分组后的文件映射
     */
    private groupFilesByDirectory;
    /**
     * 生成路由文件内容
     * @param routes 路由配置
     * @param imports 导入声明
     * @returns 生成的文件内容
     */
    private generateRouteFileContent;
}
//# sourceMappingURL=generator.d.ts.map